import java.awt.Graphics;

public class CircleIcon implements SimulationIcon
{
    private Ball icon;

    public CircleIcon( int x, int y, int radius, int dx, int dy )
    {
        icon = new Ball( x, y, radius, dx, dy );
    }

    public void draw( Graphics g )
    {
        icon.paint( g );
    }

    public void move()
    {
        icon.move();
    }

    public int y()
    {
        return icon.y();
    }
}
